'use strict';

var isValidPackageName = require('../isValidPackageName');

var _require = require('../store'),
    uiState = _require.uiState;

/**
 * @returns {boolean} returns focused packageName
 **/


function getFocused() {
	if (!uiState.focus || uiState.focus === 'all' || uiState.focus === '') {
		return undefined;
	}

	if (!isValidPackageName(uiState.focus)) {
		return undefined;
	}

	return uiState.focus;
}

module.exports = getFocused;