/* eslint complexity: 0*/
/* eslint no-console: 0*/
'use strict';

var _require = require('../store'),
    getUiState = _require.getUiState;

var renderAllPanels = require('../renderAllPanels');
var renderFocus = require('../renderFocus');
var renderHelp = require('../renderHelp');
var renderHelpFocus = require('../renderHelpFocus');
var renderNotification = require('../renderNotification');

var isFocused = function isFocused(_uiState) {
	return _uiState.focus && _uiState.focus !== 'all' && _uiState.focus !== '';
};

/**
 * @returns {void}
 **/
function render() {
	var uiState = getUiState();

	if (uiState.notifications.length > 0) {
		renderNotification(render);
		return;
	}

	if (uiState.help) {
		if (isFocused(uiState)) {
			renderHelpFocus();
			return;
		}
		renderHelp();
		return;
	}

	if (!isFocused(uiState)) {
		renderAllPanels();
		return;
	}

	renderFocus();
}

module.exports = render;