/* eslint no-console: 0*/
'use strict';

var _require = require('../store'),
    getState = _require.getState,
    getUiState = _require.getUiState;

var _require2 = require('../getTerminalPanel'),
    getTerminal = _require2.getTerminal;

var _require3 = require('../getDimensions'),
    getDimensions = _require3.getDimensions;

var renderAllPanels = require('../renderAllPanels');

/**
 * @param {Object} di - dependency injection
 * @returns {void}
 **/
function renderFocus() {
	var state = getState();
	var uiState = getUiState();
	var dimensions = getDimensions();
	var panelWidth = parseInt(dimensions.width, 10);
	var panelHeight = parseInt(dimensions.height, 10) - 1;
	var currentState = Object.assign({}, state);

	if (currentState[uiState.focus]) {
		uiState.print(getTerminal(panelWidth, panelHeight, uiState.focus, currentState[uiState.focus].log).join(''));
		return;
	}

	renderAllPanels();
}

module.exports = renderFocus;
module.exports.renderFocus = renderFocus;